http
POST /api/data/v2/datasources HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"userDefinedType": "api",
"dataSourceName": "hello world",
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
}
}curl --request POST \
--url https://{instance}.domo.com/api/data/v2/datasources \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"userDefinedType": "api",
"dataSourceName": "hello world",
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
}
}
'import requests
url = "https://{instance}.domo.com/api/data/v2/datasources"
payload = {
"userDefinedType": "api",
"dataSourceName": "hello world",
"schema": { "columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
] }
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userDefinedType: 'api',
dataSourceName: 'hello world',
schema: {
columns: [{type: 'STRING', name: 'Friend'}, {type: 'STRING', name: 'Attending'}]
}
})
};
fetch('https://{instance}.domo.com/api/data/v2/datasources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Schema
Create Dataset Copy
Creates a new dataset by copying an existing schema and providing user-defined metadata
POST
/
api
/
data
/
v2
/
datasources
http
POST /api/data/v2/datasources HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"userDefinedType": "api",
"dataSourceName": "hello world",
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
}
}⌘I